Package com.usatiuk.dhfs.remoteobj

# Class SyncHandler

java.lang.Object
com.usatiuk.dhfs.remoteobj.SyncHandler

@ApplicationScoped public class SyncHandler extends Object

## Constructor Summary

Constructors
Constructor
Description
`SyncHandler(jakarta.enterprise.inject.Instance<ObjSyncHandler<?,?>> syncHandlers, jakarta.enterprise.inject.Instance<InitialSyncProcessor<?>> initialSyncProcessors)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doInitialSync(PeerId peer)`
`<D extends JDataRemoteDto>
void`
`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, D receivedData)`
`void`
`resyncAfterCrash(io.quarkus.runtime.StartupEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SyncHandler

public SyncHandler(jakarta.enterprise.inject.Instance<ObjSyncHandler<?,?>> syncHandlers, jakarta.enterprise.inject.Instance<InitialSyncProcessor<?>> initialSyncProcessors)

## Method Details

### handleRemoteUpdate

public <D extends JDataRemoteDto> void handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, @Nullable D receivedData)

### resyncAfterCrash

public void resyncAfterCrash(@Observes @Priority(100000) io.quarkus.runtime.StartupEvent event)

### doInitialSync

public void doInitialSync(PeerId peer)